var id = '<%= @question.id %>';
var questionContainer = document.querySelector('#question-' + id + '-container');
var form = questionContainer.querySelector('.inline-form');
var errorsContainer = document.querySelector('.errors');

<% if @question.errors.any? %>
  errorsContainer.innerHTML = '<%= j render("shared/errors", resource: @question) %>';
<% else %>
  var questionTitleDiv = document.createElement('div');
  var questionTitle = document.createElement('a')
  questionTitleDiv.classList.add('question-title');
  questionTitle.classList.add('tx-gray-600');
  questionTitle.setAttribute('href', '/questions/' + <%= @question.id %>);
  questionTitle.textContent = '<%= @question.reload.title %>';
  questionContainer.removeChild(form);
  questionTitleDiv.append(questionTitle);
  questionContainer.append(questionTitleDiv);
  errorsContainer.innerHTML = '';

  var flashContainer = document.querySelector('.flash');
  flashContainer.innerHTML = '<%= bootstrap_flash %>';
  <% flash.discard %>
<% end %>

